import sqlite3



connection = None

def connect(path):
    global connection
    connection = sqlite3.connect(path)


def execute(sql, *args):
    #print "SQL INPUT: "+sql+"\n"

    cursor = connection.cursor()
    cursor.execute(sql, args)

    connection.commit()

    return cursor

def query(sql, *args):
    return execute(sql, *args).fetchall()

def last_insert_id():
    q = query('SELECT last_insert_rowid()')
    return int(q[0][0])
