"""
Data representation of an entity. ie, stats, inventory, status effects, etc.
"""

import math
import engine
import player

class PlayerCharacter:
	
	def __init__(self):
		self.Level = 1
		self.xp = 0
		self.hp = 5
		
		self.Power = 1
		self.Vitality = 5
		self.Range = 0
		self.Time = 3
		
		self.Charge = 0
		self.Turns = 0

		
	def GetNextLevel(self):
		nxp = 5
		i = 0
		while i < self.Level+1:
		
			nxp = (nxp*.3)+nxp
			
			i+=1
			
		return int(math.floor(nxp))
		
	
	NextLevel = property(GetNextLevel)
	
	def Update(self):
		
		if self.xp >= self.NextLevel and player.GetPlayer().LevelOn:
			player.GetPlayer().LevelOn = 0
			self.xp -= self.NextLevel
			self.Level += 1
			
			engine.PlaySound("level")
			
			engine.MapObjects.append(interface.LevelUpMenu((320/2)-50,240/2))
		
	def Render(self):
		pass 
		
class MonsterCharacter:
	
	def __init__(self, hp, atk, spd, xp):
		self.hp = hp
		self.xp = xp
		self.Attack = atk
		self.Speed = spd
	
	def Update(self):
		
		pass
		
	def Render(self):
		pass 	