
class Box:
	"A class that defines a rectangular region. Mainly used for collision."
	
	def __init__ (self, x, y, width, height):
		self.x = x
		self.y = y
		self.width = width
		self.height = height
		
	def CollidesWith (self, box):
		""" 
			Returns a boolean evaluation of whether this box
			collides with the box object passed
		"""
		if (self.x  + self.width >= box.x
			and self.x <= box.x + box.width
			and self.y + self.height >= box.y
			and self.y <= box.y + box.height):
				return True
		return False
		
		
   
def DetectCollision (box1, box2):
	"Returns a boolean evaluation of whether two boxes collide"
	if (box1.x  + box1.width >= box2.x
		and box1.x <= box2.x + box2.width
		and box1.y + box1.height >= box2.y
		and box1.y <= box2.y + box2.height):
			return True
	return False