import engine
from controls import *
import windowscript

class StatMenuInput:
	
	SelectButtons = ["guard","left", "right","skill_a", "skill_b","skill_c"]
	
	def OnSelect (self, parent, choice, button):
		
		if button == "left":
			choice.Decrease(parent)
		elif button == "right":
			choice.Increase(parent)
		elif button == "guard":
			if parent.Plugins[0].Points == 0:
				parent.Close()
				p = engine.GGetPlayer()
				
				p.UnFreeze()

class ChoiceMenuInput:
	
	SelectButtons = ["guard","skill_a", "skill_b", "skill_c"]
	
	def OnSelect(self, parent, choice, button):
		
		if button == "guard":
			choice.Execute(parent)
		else:
			#choice.Finish()
			parent.Close()	
		

	
class SkillMenuInput:
	
	SelectButtons = ["skill_a", "skill_b", "skill_c", "guard"]
	
	def __init__(self):
		self.UsedButtons = {"skill_a": 0, "skill_b": 0, "skill_c": 0}
	
	def OnSelect(self, parent, choice, button):
		
		choice.OnSelect(parent, button)
		
		#if self.UsedButtons[button] == 0:
		#	self.UsedButtons[button] = 1
		#	choice.OnSelect(button)
		#else:
		#	if choice.Button == button:
		#		self.UsedButtons[button] = 0
		#		choice.OnSelect(button)