class Tile:
	
	def __init__(self, n, obs, u=0,d=0,l=0,r=0,ladder=0):
		
		self.Number = n
		self.Obstruction = obs
		
		self.Up = u #pre: p.y > t.y  || on: p.y < t.y
		self.Down = d#on: p.y > t.y  || pre: p.y < t.y
		self.Left = l #pre: p.x > t.x ||  on: p.x < t.x
		self.Right = r #on: p.x > t.x || pre: p.x < t.x
		self.Ladder = ladder
		
	def CheckCollision(self,px, py, tx, ty, pre):
		#return 0
		
		
		if self.Obstruction:
			return 1
		
		if pre: #player is not on this tile
			if self.Up:
				if py < ty:
					return 1
			elif self.Down:
				if py > ty:
					return 1
				
			elif self.Left:
				if px < tx:
					return 1
				
			elif self.Right:
				if px > tx:
					return 1
					
		else: #player is already on this tile.
			if self.Up:
				if py < ty:
					return 1
			elif self.Down:
				if py > ty:
					return 1
				
			elif self.Left:
				if px < tx:
					return 1
				
			elif self.Right:
				if px > tx:
					return 1